Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17681
Description

This server has some open-for-all WFS layers and some which need authentication
http://tampere.navici.com/tampere wfs geoserver/tampere ora/ows?

For example this is free: TYPENAME=tampere_ora:KH_TILASTO

but this is secured: TYPENAME=tampere_ora:ONK_NMR_MVIEW

QGIS has no troubles as long as | am reading just the free layers. Discussion between client and server goes without authentication and
both are happy. Trouble begins is | try to read a secured layer. The server sends back "HTTP/1.1 401 Unauthorized" and asks to give
credentials. | do not have those and therefore | just ask QGIS to cancel this operation.

The trouble is that after cancelling the trial to read the secured layer QGIS cannot any more get data from the free feature types. This
seems to come from that after the cancelled operation QGIS is adding the Authorization header "Authorization: Basic Og=="to the
requests and the server is rejecting all of them. Below is an example about how the discussion goes:

GET

http://tampere.navici.com/tampere_wfs geoserver/tampere ora/ows?SERVICE=WFS&#38;REQUEST=GetCapabilities&#38;VERSION
1.0.0HTTP/1.1

Connection: Keep-Alive

Accept-Encoding: gzip

Accept-Language: fi-Fl,en,”

User-Agent: Mozilla/5.0

Host: tampere.navici.com

Authorization: Basic Og==

HTTP/1.1 401 Unauthorized

Date: Thu, 07 Nov 2013 05:19:52 GMT

Set-Cookie: SPRING_SECURITY_REMEMBER_ME_COOKIE=""; Expires=Thu, 01-Jan-1970 00:00:10 GMT;
Path=/tampere_wfs_geoserver

WWW-Authenticate: Basic realm="GeoServer Realm"

Content-Type: text/html;charset=utf-8

Vary: Accept-Encoding

Content-Length: 1299

Keep-Alive: timeout=15, max=96

Connection: Keep-Alive

In an attachment there are all the requests and answers from such a case, | only removed the long XML data contents from
GetCapabilities and successfull GetFeature.
#1 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-01 12:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#3 - 2018-08-16 12:10 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

- Description updated

Closing for lack of feedback.
